#!/bin/sh
#set -x
if [ -e ~/.getphotosrc ]
then
   paramfile="/home/$USER/.getphotosrc"
else
   paramfile="/etc/getPhotos/getphotosrc"
fi

device=`cat $paramfile | grep device | cut -d '=' -f 2`;
mpoint=`cat $paramfile | grep mpoint | cut -d '=' -f 2`;
album=`cat $paramfile | grep album | cut -d '=' -f 2`;
preview=`cat $paramfile | grep preview | cut -d '=' -f 2`;
viewercmd=`cat $paramfile | grep viewer | cut -d '=' -f 2`;

count=1;
mount $device;
annee=$(date "+%Y");

if [ ! -d $album/$annee ]
then
   mkdir $album/$annee;
fi
rep=$(Xdialog --stdout --dselect "$album/$annee" 0 0 );
if [ ! -d $rep ]
then
   mkdir $rep;
fi

gauge=`expr 100 / $(find $mpoint -type f -regex .*\.jpg | wc -l)`;
step=0;
(for i in `find $mpoint -type f -regex .*\.jpg`
do
step=`expr $step + $gauge`;
echo $step;
count=`expr $count + 1`; 
if [ $preview = "1" ]
then
img=`echo $i | sed s/.jpg/.xpm/`;
mogrify -size 180x180 -resize 180x180 -format xpm $i;
mv $img /tmp/icon.xpm;
Xdialog --icon "/tmp/icon.xpm" --title "Aperu" --no-buttons --auto-placement --infobox "" 10 40 1000 &
fi
echo "XXX";
echo "rcupre fichier $count";
echo "XXX";
mv $i $rep;
done
) | Xdialog --icon "/usr/share/pixmaps/apn.xpm" --title "Tlchargement de photos" --gauge "rcupre fichier $count" 10 40
umount $device;
$viewercmd $rep;
